Altibase.jdbc.driver.spec4

## Class Altibase42DatabaseMetaData

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseDatabaseMetaData
  - - Altibase.jdbc.driver.spec4.Altibase42DatabaseMetaData

All Implemented Interfaces:
  java.sql.DatabaseMetaData, java.sql.Wrapper

    public class Altibase42DatabaseMetaData
    extends AltibaseDatabaseMetaData

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.AltibaseDatabaseMetaData

`mConn, mSql`

### Fields inherited from interface java.sql.DatabaseMetaData

`attributeNoNulls, attributeNullable, attributeNullableUnknown, bestRowNotPseudo, bestRowPseudo, bestRowSession, bestRowTemporary, bestRowTransaction, bestRowUnknown, columnNoNulls, columnNullable, columnNullableUnknown, functionColumnIn, functionColumnInOut, functionColumnOut, functionColumnResult, functionColumnUnknown, functionNoNulls, functionNoTable, functionNullable, functionNullableUnknown, functionResultUnknown, functionReturn, functionReturnsTable, importedKeyCascade, importedKeyInitiallyDeferred, importedKeyInitiallyImmediate, importedKeyNoAction, importedKeyNotDeferrable, importedKeyRestrict, importedKeySetDefault, importedKeySetNull, procedureColumnIn, procedureColumnInOut, procedureColumnOut, procedureColumnResult, procedureColumnReturn, procedureColumnUnknown, procedureNoNulls, procedureNoResult, procedureNullable, procedureNullableUnknown, procedureResultUnknown, procedureReturnsResult, sqlStateSQL, sqlStateSQL99, sqlStateXOpen, tableIndexClustered, tableIndexHashed, tableIndexOther, tableIndexStatistic, typeNoNulls, typeNullable, typeNullableUnknown, typePredBasic, typePredChar, typePredNone, typeSearchable, versionColumnNotPseudo, versionColumnPseudo, versionColumnUnknown`

### Constructor Summary

Constructors
Constructor and Description
`Altibase42DatabaseMetaData(AltibaseConnection aConnection)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `autoCommitFailureClosesAllResultSets()`
`boolean` `generatedKeyAlwaysReturned()`
`java.sql.ResultSet` `getClientInfoProperties()`
`protected java.lang.String` `getColumnAutoIncrement()`
`java.sql.ResultSet` `getColumnPrivileges(java.lang.String aCatalog, java.lang.String aSchema, java.lang.String aTable, java.lang.String aColumnNamePattern)`
`java.sql.ResultSet` `getFunctionColumns(java.lang.String aCatalog, java.lang.String aSchemaPattern, java.lang.String aFunctionNamePattern, java.lang.String aColumnNamePattern)`
`java.sql.ResultSet` `getFunctions(java.lang.String aCatalog, java.lang.String aSchemaPattern, java.lang.String aFunctionNamePattern)`
`protected java.lang.String` `getProcedureColumnsOrderBy()`
`protected java.lang.String` `getProcedureColumnsSpecificName(java.lang.String aTableAlias)`
`protected java.lang.String` `getProceduresSpecificName()`
`protected java.lang.String` `getProceduresWhere(java.lang.String aTableAlias)`
`java.sql.ResultSet` `getPseudoColumns(java.lang.String aCatalog, java.lang.String aSchemaPattern, java.lang.String aTableNamePattern, java.lang.String aColumnNamePattern)`
`java.sql.RowIdLifetime` `getRowIdLifetime()`
`java.sql.ResultSet` `getSchemas(java.lang.String aCatalog, java.lang.String aSchemaPattern)`
`boolean` `isWrapperFor(java.lang.Class<?> aIface)`
`boolean` `supportsStoredFunctionsUsingCallSyntax()`
`<T> T` `unwrap(java.lang.Class<T> aIface)`

### Methods inherited from class Altibase.jdbc.driver.AltibaseDatabaseMetaData

`allProceduresAreCallable, allTablesAreSelectable, createResultSet, dataDefinitionCausesTransactionCommit, dataDefinitionIgnoredInTransactions, deletesAreDetected, doesMaxRowSizeIncludeBlobs, getAttributes, getBestRowIdentifier, getCatalogs, getCatalogSeparator, getCatalogTerm, getColumnFactory, getColumns, getConnection, getCrossReference, getDatabaseMajorVersion, getDatabaseMinorVersion, getDatabaseProductName, getDatabaseProductVersion, getDefaultTransactionIsolation, getDriverMajorVersion, getDriverMinorVersion, getDriverName, getDriverVersion, getExportedKeys, getExtraNameCharacters, getIdentifierQuoteString, getImportedKeys, getIndexInfo, getJDBCMajorVersion, getJDBCMinorVersion, getMaxBinaryLiteralLength, getMaxCatalogNameLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxProcedureNameLength, getMaxRowSize, getMaxSchemaNameLength, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength, getNumericFunctions, getPrimaryKeys, getProcedureColumns, getProcedures, getProcedureTerm, getResultSetHoldability, getSchemas, getSchemasInternal, getSchemaTerm, getSearchStringEscape, getSql92Keywords, getSQLKeywords, getSQLStateType, getStringFunctions, getSuperTables, getSuperTypes, getSystemFunctions, getTablePrivileges, getTables, getTableTypes, getTimeDateFunctions, getTypeInfo, getUDTs, getURL, getUserName, getVersionColumns, insertsAreDetected, isCatalogAtStart, isReadOnly, locatorsUpdateCopy, nullPlusNonNullIsNull, nullsAreSortedAtEnd, nullsAreSortedAtStart, nullsAreSortedHigh, nullsAreSortedLow, othersDeletesAreVisible, othersInsertsAreVisible, othersUpdatesAreVisible, ownDeletesAreVisible, ownInsertsAreVisible, ownUpdatesAreVisible, storesLowerCaseIdentifiers, storesLowerCaseQuotedIdentifiers, storesMixedCaseIdentifiers, storesMixedCaseQuotedIdentifiers, storesUpperCaseIdentifiers, storesUpperCaseQuotedIdentifiers, supportsAlterTableWithAddColumn, supportsAlterTableWithDropColumn, supportsANSI92EntryLevelSQL, supportsANSI92FullSQL, supportsANSI92IntermediateSQL, supportsBatchUpdates, supportsCatalogsInDataManipulation, supportsCatalogsInIndexDefinitions, supportsCatalogsInPrivilegeDefinitions, supportsCatalogsInProcedureCalls, supportsCatalogsInTableDefinitions, supportsColumnAliasing, supportsConvert, supportsConvert, supportsCoreSQLGrammar, supportsCorrelatedSubqueries, supportsDataDefinitionAndDataManipulationTransactions, supportsDataManipulationTransactionsOnly, supportsDifferentTableCorrelationNames, supportsExpressionsInOrderBy, supportsExtendedSQLGrammar, supportsFullOuterJoins, supportsGetGeneratedKeys, supportsGroupBy, supportsGroupByBeyondSelect, supportsGroupByUnrelated, supportsIntegrityEnhancementFacility, supportsLikeEscapeClause, supportsLimitedOuterJoins, supportsMinimumSQLGrammar, supportsMixedCaseIdentifiers, supportsMixedCaseQuotedIdentifiers, supportsMultipleOpenResults, supportsMultipleResultSets, supportsMultipleTransactions, supportsNamedParameters, supportsNonNullableColumns, supportsOpenCursorsAcrossCommit, supportsOpenCursorsAcrossRollback, supportsOpenStatementsAcrossCommit, supportsOpenStatementsAcrossRollback, supportsOrderByUnrelated, supportsOuterJoins, supportsPositionedDelete, supportsPositionedUpdate, supportsResultSetConcurrency, supportsResultSetHoldability, supportsResultSetType, supportsSavepoints, supportsSchemasInDataManipulation, supportsSchemasInIndexDefinitions, supportsSchemasInPrivilegeDefinitions, supportsSchemasInProcedureCalls, supportsSchemasInTableDefinitions, supportsSelectForUpdate, supportsStatementPooling, supportsStoredProcedures, supportsSubqueriesInComparisons, supportsSubqueriesInExists, supportsSubqueriesInIns, supportsSubqueriesInQuantifieds, supportsTableCorrelationNames, supportsTransactionIsolationLevel, supportsTransactions, supportsUnion, supportsUnionAll, updatesAreDetected, usesLocalFilePerTable, usesLocalFiles`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.DatabaseMetaData

`getMaxLogicalLobSize, supportsRefCursors`

### Constructor Detail

#### Altibase42DatabaseMetaData

    public Altibase42DatabaseMetaData(AltibaseConnection aConnection)
                               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Method Detail

#### getProcedureColumnsSpecificName

    protected java.lang.String getProcedureColumnsSpecificName(java.lang.String aTableAlias)

Overrides:
  `getProcedureColumnsSpecificName` in class `AltibaseDatabaseMetaData`

#### getProcedureColumnsOrderBy

    protected java.lang.String getProcedureColumnsOrderBy()

Overrides:
  `getProcedureColumnsOrderBy` in class `AltibaseDatabaseMetaData`

#### getProceduresSpecificName

    protected java.lang.String getProceduresSpecificName()

Overrides:
  `getProceduresSpecificName` in class `AltibaseDatabaseMetaData`

#### getProceduresWhere

    protected java.lang.String getProceduresWhere(java.lang.String aTableAlias)

Overrides:
  `getProceduresWhere` in class `AltibaseDatabaseMetaData`

#### getRowIdLifetime

    public java.sql.RowIdLifetime getRowIdLifetime()
                                            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getSchemas

    public java.sql.ResultSet getSchemas(java.lang.String aCatalog,
                                         java.lang.String aSchemaPattern)
                                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### supportsStoredFunctionsUsingCallSyntax

    public boolean supportsStoredFunctionsUsingCallSyntax()

#### autoCommitFailureClosesAllResultSets

    public boolean autoCommitFailureClosesAllResultSets()

#### getClientInfoProperties

    public java.sql.ResultSet getClientInfoProperties()
                                               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getFunctions

    public java.sql.ResultSet getFunctions(java.lang.String aCatalog,
                                           java.lang.String aSchemaPattern,
                                           java.lang.String aFunctionNamePattern)
                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getFunctionColumns

    public java.sql.ResultSet getFunctionColumns(java.lang.String aCatalog,
                                                 java.lang.String aSchemaPattern,
                                                 java.lang.String aFunctionNamePattern,
                                                 java.lang.String aColumnNamePattern)
                                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getPseudoColumns

    public java.sql.ResultSet getPseudoColumns(java.lang.String aCatalog,
                                               java.lang.String aSchemaPattern,
                                               java.lang.String aTableNamePattern,
                                               java.lang.String aColumnNamePattern)
                                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### generatedKeyAlwaysReturned

    public boolean generatedKeyAlwaysReturned()

#### getColumnPrivileges

    public java.sql.ResultSet getColumnPrivileges(java.lang.String aCatalog,
                                                  java.lang.String aSchema,
                                                  java.lang.String aTable,
                                                  java.lang.String aColumnNamePattern)
                                           throws java.sql.SQLException

Specified by:
  `getColumnPrivileges` in interface `java.sql.DatabaseMetaData`
Overrides:
  `getColumnPrivileges` in class `AltibaseDatabaseMetaData`
Throws:
  `java.sql.SQLException`

#### unwrap

    public <T> T unwrap(java.lang.Class<T> aIface)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> aIface)
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getColumnAutoIncrement

    protected java.lang.String getColumnAutoIncrement()

Overrides:
  `getColumnAutoIncrement` in class `AltibaseDatabaseMetaData`